summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Ebben Aries2022-07-20 09:19:27 +0200
committer Willy Sudiarto Raharjo2022-07-23 06:13:12 +0200
commitcdd0ff6c66b71ef5939744fbdb4d2089829047d5 (patch)
tree1b5e635f8933c6a5d17d576f36714f6f6877899d
parentd6555efd7e762aab90f87317b9785e1d6d05e7d6 (diff)
downloadslackbuilds-cdd0ff6c66b71ef5939744fbdb4d2089829047d5.tar.gz
system/ima-evm-utils: Added (IMA Extended Verification Module Utils)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/ima-evm-utils/README12
-rw-r--r--system/ima-evm-utils/ima-evm-utils.SlackBuild116
-rw-r--r--system/ima-evm-utils/ima-evm-utils.info10
-rw-r--r--system/ima-evm-utils/slack-desc19
4 files changed, 157 insertions, 0 deletions
diff --git a/system/ima-evm-utils/README b/system/ima-evm-utils/README
new file mode 100644
index 0000000000..ec9deccf9b
--- /dev/null
+++ b/system/ima-evm-utils/README
@@ -0,0 +1,12 @@
+Linux kernel integrity subsystem is comprised of a number of different
+components including the Integrity Measurement Architecture (IMA),
+Extended Verification Module (EVM), IMA-appraisal extension, digital
+signature verification extension and audit measurement log support.
+
+The evmctl utility is used for producing and verifying digital
+signatures, which are used by the Linux kernel integrity subsystem. It
+is also used for importing keys into the kernel keyring.
+
+Linux integrity subsystem allows to use IMA and EVM signatures. EVM
+signature protects file metadata, such as file attributes and extended
+attributes. IMA signature protects file content.
diff --git a/system/ima-evm-utils/ima-evm-utils.SlackBuild b/system/ima-evm-utils/ima-evm-utils.SlackBuild
new file mode 100644
index 0000000000..570580b6e4
--- /dev/null
+++ b/system/ima-evm-utils/ima-evm-utils.SlackBuild
@@ -0,0 +1,116 @@
+#!/bin/bash
+
+# Slackware build script for Linux IMA EVM Utilities
+
+# Copyright 2022 Ebben Aries <slackbuilds@dscp.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=ima-evm-utils
+VERSION=${VERSION:-1.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+./autogen.sh
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-shared=yes \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+rm -f $PKG/usr/lib*/*.la
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/ima-evm-utils/ima-evm-utils.info b/system/ima-evm-utils/ima-evm-utils.info
new file mode 100644
index 0000000000..f380112656
--- /dev/null
+++ b/system/ima-evm-utils/ima-evm-utils.info
@@ -0,0 +1,10 @@
+PRGNAM="ima-evm-utils"
+VERSION="1.4"
+HOMEPAGE="http://sourceforge.net/p/linux-ima/ima-evm-utils"
+DOWNLOAD="https://cfhcable.dl.sourceforge.net/project/linux-ima/ima-evm-utils/ima-evm-utils-1.4.tar.gz"
+MD5SUM="d1cb73c10857b5526ee1f37769c5458a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Ebben Aries"
+EMAIL="slackbuilds@dscp.org"
diff --git a/system/ima-evm-utils/slack-desc b/system/ima-evm-utils/slack-desc
new file mode 100644
index 0000000000..3d52dc2308
--- /dev/null
+++ b/system/ima-evm-utils/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ima-evm-utils: ima-evm-utils (Linux IMA Extended Verification Module Utilities)
+ima-evm-utils:
+ima-evm-utils: Linux kernel integrity subsystem is comprised of a number of
+ima-evm-utils: different components including the Integrity Measurement Architecture
+ima-evm-utils: (IMA), Extended Verification Module (EVM), IMA-appraisal extension,
+ima-evm-utils: digital signature verification extension and audit measurement log
+ima-evm-utils: support.
+ima-evm-utils:
+ima-evm-utils: Homepage: https://sourceforge.net/p/linux-ima/wiki/Home/
+ima-evm-utils:
+ima-evm-utils: